<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\KursDetails\Anwesenheiten\ShowFilterAnwesenheiten;

class ShowFilterAnwesenheitenUseCase extends \Kufer\Web\KuferTools\Basis\AnwesenheitenKurs\ShowFilterAnwesenheiten\ShowFilterAnwesenheitenUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_FA;
  }

  public static function getToolSectionId()
  {
    return 480;
  }

  
  public function hasAccess($pToolSectionId = null)
  {
    if (!\Kufer\Web\KuferTools\Basis\UseCase\ToolUseCase::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed($this->getToolSectionId() . '.0.1')) {
      return false;
    }

    return true;
  }
}